# Copyright 2021 IRT Saint Exupéry, https://www.irt-saintexupery.com
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License version 3 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""Scenario for multidisciplinary design optimization problems under uncertainty."""
from __future__ import annotations

import logging
from pathlib import Path

from gemseo.core.mdo_scenario import MDOScenario

from gemseo_umdo.scenarios._scenario import _UScenario

LOGGER = logging.getLogger(__name__)


class UMDOScenario(_UScenario, MDOScenario):
    """An optimizer-based scenario for multidisciplinary design under uncertainty."""

    GRAMMAR_DIRECTORY = Path(__file__) / "umdo"
